#ifndef TPOINTER_H_
#define TPOINTER_H_

#include <wayland-client.h>
#include <wayland-cursor.h>


struct pointer_data {
	struct wl_cursor_theme *cursor_theme;
	struct wl_pointer *pointer;
	struct wl_surface *cursor_surface;
	struct wl_cursor *cursor;
	struct wl_cursor_image *cursor_image;
	struct wl_buffer *cursor_buffer;
};

extern const struct wl_pointer_listener pointer_listener;

void pointer_init_cursor(struct pointer_data *pointer_data, struct wl_compositor *compositor, struct wl_shm *shm);

#endif
